Bug 1229277 - [abrt] gnome-calculator: search_provider_get_result_metas(): gnome-calculator-search-provider killed by SIGABRT
Summary: [abrt] gnome-calculator: search_provider_get_result_metas(): gnome-calculator...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calculator
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:78cd71d8f10cb4a49e38ab81453...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-08 10:55 UTC by Marcel Hetzendorfer
Modified: 2015-06-20 23:56 UTC (History)
2 users (show)

Fixed In Version: gnome-calculator-3.16.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-20 23:56:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.29 KB, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: core_backtrace (9.39 KB, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: dso_list (1.63 KB, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: environ (985 bytes, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: maps (7.17 KB, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: mountinfo (4.17 KB, text/plain)
2015-06-08 10:55 UTC, Marcel Hetzendorfer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-08 10:56 UTC, Marcel Hetzendorfer
no flags Details
File: open_fds (549 bytes, text/plain)
2015-06-08 10:56 UTC, Marcel Hetzendorfer
no flags Details
File: proc_pid_status (971 bytes, text/plain)
2015-06-08 10:56 UTC, Marcel Hetzendorfer
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 750672 0 None None None Never

Description Marcel Hetzendorfer 2015-06-08 10:55:45 UTC
Version-Release number of selected component:
gnome-calculator-3.16.1-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-calculator-search-provider
crash_function: search_provider_get_result_metas
executable:     /usr/libexec/gnome-calculator-search-provider
global_pid:     20759
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Son 2015-04-26 09:24:12 CEST, end at Mon 2015-06-08 12:52:46 CEST. --

Truncated backtrace:
Thread no. 1 (7 frames)
 #4 search_provider_get_result_metas at /home/mcatanzaro/jhbuild/checkout/gnome-calculator/search-provider/search-provider.vala:107
 #5 _dbus_search_provider_get_result_metas at search-provider.c:1882
 #6 call_in_idle_cb at gdbusconnection.c:4884
 #10 g_main_context_iteration at gmain.c:3869
 #11 g_application_run at gapplication.c:2308
 #12 _vala_main at /home/mcatanzaro/jhbuild/checkout/gnome-calculator/search-provider/search-provider.vala:176
 #14 _start

Comment 1 Marcel Hetzendorfer 2015-06-08 10:55:48 UTC
Created attachment 1036292 [details]
File: backtrace

Comment 2 Marcel Hetzendorfer 2015-06-08 10:55:49 UTC
Created attachment 1036293 [details]
File: cgroup

Comment 3 Marcel Hetzendorfer 2015-06-08 10:55:51 UTC
Created attachment 1036294 [details]
File: core_backtrace

Comment 4 Marcel Hetzendorfer 2015-06-08 10:55:53 UTC
Created attachment 1036295 [details]
File: dso_list

Comment 5 Marcel Hetzendorfer 2015-06-08 10:55:54 UTC
Created attachment 1036296 [details]
File: environ

Comment 6 Marcel Hetzendorfer 2015-06-08 10:55:56 UTC
Created attachment 1036297 [details]
File: limits

Comment 7 Marcel Hetzendorfer 2015-06-08 10:55:58 UTC
Created attachment 1036298 [details]
File: maps

Comment 8 Marcel Hetzendorfer 2015-06-08 10:55:59 UTC
Created attachment 1036299 [details]
File: mountinfo

Comment 9 Marcel Hetzendorfer 2015-06-08 10:56:01 UTC
Created attachment 1036300 [details]
File: namespaces

Comment 10 Marcel Hetzendorfer 2015-06-08 10:56:03 UTC
Created attachment 1036301 [details]
File: open_fds

Comment 11 Marcel Hetzendorfer 2015-06-08 10:56:04 UTC
Created attachment 1036302 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2015-06-10 12:45:55 UTC
gnome-calculator-3.16.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gnome-calculator-3.16.2-1.fc22

Comment 13 Fedora Update System 2015-06-11 18:38:52 UTC
Package gnome-calculator-3.16.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-calculator-3.16.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9818/gnome-calculator-3.16.2-1.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-06-20 23:56:41 UTC
gnome-calculator-3.16.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.